Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 3687)
@@ -56,6 +56,9 @@
 import org.eclipse.swt.widgets.MessageBox;
 import org.eclipse.swt.widgets.Text;
 import org.eclipse.swt.widgets.TreeItem;
+import org.eclipse.ui.IViewPart;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
@@ -128,6 +131,36 @@
 		explorerView.tv.refresh(f);
 	}
 	
+
+	/**
+	 * Opens the Fiel Explorer
+	 */
+	public static void open(File f) {
+		IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
+		
+		try {
+			IViewPart v = page.showView(Explorer.ID);
+			if (f != null && v instanceof Explorer) {
+				Explorer e = (Explorer)v;
+				if (f.isDirectory()) {
+					e.setRoot(f);
+				} else {
+					e.setRoot(f.getParentFile());
+				}
+			}
+		} catch (PartInitException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+	}
+	
+	/**
+	 * Opens the File Explorer
+	 */
+	public static void open() {
+		open(null);
+	}
+	
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3687)
@@ -27,6 +27,7 @@
 //
 package org.txm.rcp.editors.imports;
 
+import java.io.File;
 import java.io.IOException;
 import java.lang.reflect.Constructor;
 import java.util.HashMap;
@@ -58,6 +59,8 @@
 import org.eclipse.ui.forms.widgets.Section;
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
+import org.txm.Toolbox;
+import org.txm.groovy.core.GSERunner;
 import org.txm.objects.Project;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.commands.workspace.UpdateCorpus;
@@ -77,6 +80,7 @@
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.SWTEditorsUtils;
+import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 import org.xml.sax.SAXException;
@@ -734,7 +738,7 @@
 		hyperlinks.setLayoutData(gdata);
 		
 		TableWrapLayout layout = new TableWrapLayout();
-		layout.numColumns = 4;
+		layout.numColumns = 5;
 		layout.makeColumnsEqualWidth = false;
 		hyperlinks.setLayout(layout);
 		
@@ -742,9 +746,9 @@
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
 
 		if (editor.project == null) {
-			titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0, editor.getImportName()));
+			titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0, ImportModuleCustomization.getName(editor.getImportName())));
 		} else {
-			titleLabel.setText(NLS.bind(TXMUIMessages.UpdateParametersForTheP0ImportModule, editor.getImportName()));
+			titleLabel.setText(NLS.bind(TXMUIMessages.UpdateParametersForTheP0ImportModule, ImportModuleCustomization.getName(editor.getImportName())));
 		}
 		
 		FontData[] fD = titleLabel.getFont().getFontData();
@@ -793,23 +797,43 @@
 			}
 		};
 		
+		HyperlinkAdapter editImporScriptstListener = new HyperlinkAdapter() {
+			
+			@Override
+			public void linkActivated(HyperlinkEvent e) {
+				String scriptPath = editor.getImportName();
+				File rootDir = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/scripts/importer"); //$NON-NLS-1$
+				File scriptDir = new File(rootDir, scriptPath);
+				Explorer.open(scriptDir);
+			}
+		};
+		
 		if (editor.project == null) {
 			ImageHyperlink openImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 			openImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 			openImportLink.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
+			openImportLink.setToolTipText("Select the import source directory");
 			openImportLink.addHyperlinkListener(selectDirHListener);
 		}
 		
 		ImageHyperlink saveImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		saveImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		saveImportLink.setImage(IImageKeys.getImage(IImageKeys.SAVE));
+		saveImportLink.setToolTipText("Save the improt parameter");
 		saveImportLink.addHyperlinkListener(saveHListener);
 		
 		ImageHyperlink startImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		startImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		startImportLink.setImage(IImageKeys.getImage(IImageKeys.START));
+		startImportLink.setToolTipText("Start the import");
 		startImportLink.addHyperlinkListener(startImportListener);
 		
+		ImageHyperlink scriptImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
+		scriptImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
+		scriptImportLink.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
+		scriptImportLink.setToolTipText("Show the import Groovy scripts");
+		scriptImportLink.addHyperlinkListener(editImporScriptstListener);
+		
 		int n = 1;
 		if (editor.project == null) {
 			
@@ -853,9 +877,14 @@
 			hyperlink3.setText(TXMUIMessages.StartCorpusUpdate);
 		}
 		hyperlink3.addHyperlinkListener(startImportListener);
+		
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
 		startImportLink2.addHyperlinkListener(startImportListener);
+//		
+//		ImageHyperlink scriptImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
+//		scriptImportLink2.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
+//		scriptImportLink2.addHyperlinkListener(editImporScriptstListener);
 	}
 	
 	private int createUIsSection() {
@@ -874,7 +903,7 @@
 	public void loadParams() throws ParserConfigurationException, SAXException, IOException {
 		
 		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
-		this.setPartName(editor.project.getName());
+		this.setPartName(editor.getImportName());
 		
 		if (infosSection != null && !infosSection.isDisposed()) {
 			infosSection.setEnabled(true);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3687)
@@ -395,13 +395,18 @@
 		}
 	}
 	
+	public static void addNewImportModuleConfiguration(String script, String  name, HashMap<String, Boolean> params) {
+		sectionsPerImportModule.put(script, params); //$NON-NLS-1$
+		names.put(script, name); //$NON-NLS-1$ //$NON-NLS-2$
+	}
+	
 	public static String getName(String importscript) {
 		if (sectionsPerImportModule.containsKey(importscript)) {
 			return names.get(importscript);
 		}
 		if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) { //$NON-NLS-1$
 			return names.get(importscript+"Loader.groovy"); //$NON-NLS-1$
-		}else {
+		} else {
 			return importscript;
 		}
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3687)
@@ -73,11 +73,7 @@
 	public String getName() {
 		
 		if (scriptFile != null) {
-			String importName = scriptFile.getName();
-			if (importName.indexOf("Loader.groovy") > 0) {
-				importName = importName.substring(0, importName.indexOf("Loader.groovy"));
-			}
-			return importName;
+			return ImportModuleCustomization.getName(scriptFile.getName());
 		} else {
 			return ""; //$NON-NLS-1$
 		}
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 3687)
@@ -48,10 +48,10 @@
 		if (isSuccessful) {
 			
 			File tigerXmlSrcDir = new File(binaryDirectory, "src")
-			
+			tigerXmlSrcDir.mkdirs()
 			String driverFilename = TigerSearchPreferences.getInstance().getString(TigerSearchPreferences.DRIVER_FILENAME);
 			
-			File master = new File(tigerXmlSrcDir, driverFilename)
+			File master = new File(tigerXmlSrcDir, driverFilename) // copy of the master file for later use if the corpus is updated or to get the text order
 			
 			File srcmaster = new File(sourceDirectory, driverFilename)
 			if (srcmaster.exists()) {
@@ -67,7 +67,7 @@
 				
 				//build the master file using the TIGER-XML files of sourceDirectory
 				// if necesary converts a driver (with <corpus>) file into a subcorpus (with <subcorpus>file
-				def xmlFiles = tigerXmlSrcDir.listFiles()
+				def xmlFiles = sourceDirectory.listFiles()
 				
 				def featuresToSkips = TigerSearchPreferences.getInstance().
 					getProjectPreferenceValue(project, TigerSearchPreferences.FEATURE_VALUES_TO_IGNORE_IN_HEADER, 
@@ -226,7 +226,7 @@
 				masterwriter.close()
 			}
 			
-			TIGERSearchEngine.buildTIGERCorpus(tigerXmlSrcDir, this.binaryDirectory, corpusName);
+			TIGERSearchEngine.buildTIGERCorpus(sourceDirectory, this.binaryDirectory, corpusName);
 		}
 	}
 	
@@ -234,7 +234,6 @@
 	protected ArrayList<String> getTXMFilesOrder() {
 		
 		String driverFilename = TigerSearchPreferences.getInstance().getString(TigerSearchPreferences.DRIVER_FILENAME);
-		
 		File srcDriverFile = new File(sourceDirectory, driverFilename)
 		File binDriverFile = new File(binaryDirectory, "src/"+driverFilename)
 		if (binDriverFile.exists()) {
@@ -242,7 +241,7 @@
 			for (def s : new XmlSlurper().parse(binDriverFile).body.subcorpus) {
 				String name = ""+s.@external
 				if (name.startsWith("file:")) {
-					orderedFiles << name.substring(5);
+					orderedFiles << name.substring(5, name.length() - 4);
 				}
 			}
 			return orderedFiles
@@ -251,7 +250,7 @@
 			for (def s : new XmlSlurper().parse(srcDriverFile).body.subcorpus) {
 				String name = ""+s.@external
 				if (name.startsWith("file:")) {
-					orderedFiles << name.substring(5);
+					orderedFiles << name.substring(5, name.length() - 4);
 				}
 			}
 			return orderedFiles
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 3687)
@@ -362,6 +362,10 @@
 						}
 					});
 			
+			if (xmlFiles == null) {
+				System.out.println("No master file found in: "+sourceDirectory);
+				return false;
+			}
 			master = xmlFiles[0];
 		}
 		String uri = master.getAbsolutePath(); // TIGER corpus source root file
Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUAnnotationSectionConfigurator.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUAnnotationSectionConfigurator.java	(revision 3686)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUAnnotationSectionConfigurator.java	(revision 3687)
@@ -1,5 +1,7 @@
 package org.txm.conllu.rcp.importsection;
 
+import java.util.HashMap;
+
 import org.txm.rcp.editors.imports.ImportEditorSectionConfigurator;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
 
@@ -10,5 +12,22 @@
 	public void installSections() {
 		
 		ImportModuleCustomization.addAdditionalSections("conllu", CoNLLUSection.class);
+		
+		HashMap<String, Boolean> params = new HashMap<String, Boolean>(ImportModuleCustomization.getParameters("xtzLoader.groovy"));
+		params.put(ImportModuleCustomization.LANG, true);
+		params.put(ImportModuleCustomization.XSLT, false);
+		params.put(ImportModuleCustomization.WORDS, false);
+		params.put(ImportModuleCustomization.ADVANCEDTOKENIZER, true);
+		params.put(ImportModuleCustomization.EDITIONS_WORDSPERPAGE, true);
+		params.put(ImportModuleCustomization.EDITIONS_PAGEELEMENT, false);
+		params.put(ImportModuleCustomization.PATTRIBUTES, false);
+		params.put(ImportModuleCustomization.SATTRIBUTES, false);
+		params.put(ImportModuleCustomization.PREBUILD, false);
+		params.put(ImportModuleCustomization.QUERIES, false);
+		params.put(ImportModuleCustomization.UI, true);
+		params.put(ImportModuleCustomization.TEXTUALPLANS, false);
+		params.put(ImportModuleCustomization.STRUCTURES, false);
+		params.put(ImportModuleCustomization.OPTIONS, true);
+		ImportModuleCustomization.addNewImportModuleConfiguration("conlluLoader.groovy", "CoNLL-U + CSV", params); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3687)
@@ -27,7 +27,7 @@
 class CoNLLUImporter extends XTZImporter {
 	
 	public CoNLLUImporter(ImportModule module) {
-		super(module);
+		super(module)
 	}
 	
 	@Override
@@ -39,20 +39,20 @@
 		
 		if (usenewdocid) {
 			conlluSrcDirectory = new File(outputDirectory.getParentFile().getParentFile(), "conllu")
-			conlluSrcDirectory.deleteDir();
-			conlluSrcDirectory.mkdirs();
+			conlluSrcDirectory.deleteDir()
+			conlluSrcDirectory.mkdirs()
 			
 			println "Convert CoNLL-U to XML-TEI..."
 			if (!splitCoNLLUFiles(inputDirectory, conlluSrcDirectory, project)) {
-				return;
+				return
 			}
 		}
 		File metadataFile = Metadatas.findMetadataFile(module.sourceDirectory)
 		File srcDirectory = new File(outputDirectory.getParentFile().getParentFile(), "conllu2tei")
-		srcDirectory.deleteDir();
-		srcDirectory.mkdirs();
+		srcDirectory.deleteDir()
+		srcDirectory.mkdirs()
 		
-		if (metadataFile.exists()) {
+		if (metadataFile != null && metadataFile.exists()) {
 			File metadataFile2 = new File(srcDirectory, metadataFile.getName())
 			FileCopy.copy(metadataFile, metadataFile2)
 		}
@@ -62,7 +62,7 @@
 		
 		inputDirectory = srcDirectory // switch files source directory
 		
-		super.process();
+		super.process()
 	}
 	
 	public static def splitCoNLLUFiles(File inputDirectory, File srcDirectory, def project) {
@@ -81,7 +81,7 @@
 			cpb_texts.tick()
 			
 			if (!master.getName().endsWith(".conllu")) {
-				continue;
+				continue
 			}
 			
 			String orig_text_id = FileUtils.stripExtension(master)
@@ -117,8 +117,6 @@
 			return false
 		}
 		
-		
-		
 		def properties = Arrays.asList(ImportCoNLLUAnnotations.UD_PROPERTY_NAMES)
 		
 		String prefix = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX));
@@ -139,15 +137,15 @@
 			cpb_texts.tick()
 			
 			if (!master.getName().endsWith(".conllu")) {
-				continue;
+				continue
 			}
 			
-			def content = []; // list of sentence
+			def content = [] // list of sentence
 			
-			String text_id = FileUtils.stripExtension(master);
-			String sent_id = "";
-			String par_id = "1";
-			def comments = []; // /text/par/sent
+			String text_id = FileUtils.stripExtension(master)
+			String sent_id = ""
+			String par_id = "1"
+			def comments = [] // /text/par/sent
 			def words = []
 			
 			master.eachLine("UTF-8") { line ->
@@ -165,9 +163,9 @@
 						def sentence = [par_id, sent_id, words, comments]
 						content.add(sentence)
 						
-						sent_id = "";
-						par_id = "1";
-						comments = [];
+						sent_id = ""
+						par_id = "1"
+						comments = []
 						words = []
 					}
 					
@@ -187,9 +185,9 @@
 								def sentence = [par_id, sent_id, words, comments]
 								content.add(sentence)
 								
-								sent_id = "";
-								par_id = "1";
-								comments = [];
+								sent_id = ""
+								par_id = "1"
+								comments = []
 								words = []
 							}
 						}
@@ -224,7 +222,7 @@
 			writer.writeCharacters("\n")
 			
 			String current_par_id = null
-			
+			int wordCounter = 0
 			for (def sentence : content) { // for all paragraph of the current text
 				
 				par_id = sentence[0]
@@ -236,7 +234,7 @@
 					if (current_par_id != null) {
 						writer.writeEndElement() // p
 					}
-					writer.writeStartElement ("p");
+					writer.writeStartElement ("p")
 					writer.writeAttribute("id", par_id)
 					writer.writeCharacters("\n")
 					
@@ -292,15 +290,27 @@
 				
 				for (def word : words) {
 					
-					def id = word["id"]
-					
+					String id = null
+					wordCounter++
 					writer.writeStartElement ("w")
 					for (String p : word.keySet()) {
 						if (p == "feats") word[p] = "|"+word[p]+"|"
+						if (p == "misc" && word[p].contains("XmlId="))  {
+							id =  word[p].substring(word[p].indexOf("XmlId=") + 6)
+							if (id.contains("|")) { // more misc values after XmlId
+								id = id.substring(0, id.indexOf("|"));
+							}
+						}
 						//println "WORD="+word
 						writer.writeAttribute(prefix+p, word[p])
 					}
 					
+					if (id != null) {
+						writer.writeAttribute("id", id)	
+					} else {
+						writer.writeAttribute("id", "w_"+text_id+"_"+wordCounter)
+					}
+					
 					writer.writeCharacters(word["form"])
 					writer.writeEndElement() // w
 					writer.writeCharacters(" ")
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/importer.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/importer.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/importer.groovy	(revision 3687)
@@ -90,8 +90,9 @@
 		def csvfile = Metadatas.findMetadataFile(srcDir);
 		Metadatas metadatas; // text metadata
 		
-		println "Trying to read metadata from: "+csvfile
+		
 		if (csvfile != null && csvfile.exists()) {
+			println "Trying to read metadata from: "+csvfile
 			File copy = new File(binDir, csvfile.getName())
 			if (!FileCopy.copy(csvfile, copy)) {
 				println "Error: could not create a copy of metadata file "+csvfile.getAbsoluteFile();
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3687)
@@ -175,7 +175,7 @@
 //get metadata values from CSV
 Metadatas metadatas // text metadata
 
-println "Trying to read metadata from: "+allMetadataFile
+
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done() }
 if (allMetadataFile != null && allMetadataFile.exists()) {
 	println " Metadata file found: "+allMetadataFile
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivaLoader.groovy	(revision 3687)
@@ -160,8 +160,9 @@
 
 //get metadata values from CSV
 Metadatas metadatas; // text metadata
-println "Trying to read metadata from: "+allMetadataFile
+
 if (allMetadataFile != null && allMetadataFile.exists()) {
+	println "Trying to read metadata from: "+allMetadataFile
 	File copy = new File(binDir, allMetadataFile.getName())
 	if (!FileCopy.copy(allMetadataFile, copy)) {
 		println "Error: could not create a copy of metadata file "+allMetadataFile.getAbsoluteFile();
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 3686)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 3687)
@@ -231,9 +231,10 @@
 //get metadatas values from CSV
 Metadatas metadatas; // text metadatas
 
-println "Trying to read metadata from: "+allMetadataFile
+
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (allMetadataFile != null && allMetadataFile.exists()) {
+	println "Trying to read metadata from: "+allMetadataFile
 	File copy = new File(binDir, allMetadataFile.getName())
 	if (!FileCopy.copy(allMetadataFile, copy)) {
 		println "Error: could not create a copy of metadata file "+allMetadataFile.getAbsoluteFile();
